IERDomain

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IERDomain

    com.change_vision.jude.api.inf.model.IERDomain

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IERDomain
extends INamedElement

Interface for ERDomain.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IERDomain[]` | `getChildren()` Get child domains.
`abstract String` | `getDatatypeName()` Get Datatype name.
`abstract String` | `getDefaultValue()` Get Default Value.
`abstract String` | `getLengthPrecision()` Get Length/Precision.
`abstract String` | `getLogicalName()` Get Logical Name.
`abstract String` | `getPhysicalName()` Get Physical Name.
`abstract boolean` | `isNotNull()` Check if the domain is NOT NULL.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getLogicalName

    public abstract String getLogicalName()

  Get Logical Name.

  Returns:
    Logical Name.

### getPhysicalName

    public abstract String getPhysicalName()

  Get Physical Name.

  Returns:
    Physical Name. Return null in case there is none.

### getDatatypeName

    public abstract String getDatatypeName()

  Get Datatype name.

  Returns:
    Datatype name.

### getDefaultValue

    public abstract String getDefaultValue()

  Get Default Value.

  Returns:
    Default Value. Return null in case there is none.

### getLengthPrecision

    public abstract String getLengthPrecision()

  Get Length/Precision.

  Returns:
    Length/Precision. Return null in case there is none.

### isNotNull

    public abstract boolean isNotNull()

  Check if the domain is NOT NULL.

  Returns:
    true it is NOT NULL / false it is not NOT NULL

### getChildren

    public abstract IERDomain[] getChildren()

  Get child domains.

  Returns:
    the array of child domains. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD